Upgrade using docker manager fail to create extension "fuzzystrmatch"


(Tuan Anh Tran) #1
2014-07-11 20:55:02 UTC ERROR:  permission denied to create extension "fuzzystrmatch"

This failed when I upgrade to latest master discourse (02158e5) using docker manager web ui. I have to ssh into the container and create the extension myself.


(Bill Ayakatubby) #2

See also:

https://meta.discourse.org/t/error-while-upgrading-discourse-board-now-not-functioning/17473?source_topic_id=17479

(Jeff Atwood) #3

Related to

http://www.postgresql.org/docs/9.1/static/fuzzystrmatch.html

and

Looks like the fuzzystrmatch stuff is not present in the DB for some reason, and adding it requires elevation?


(Kane York) #4

Yes - it looks like everybody will need to rebuild their Docker containers.


(Jeff Atwood) #5

OK @zogstrip is pulling this commit and will submit it in a different form that doesn’t require adding new DB extensions. Sorry about that. Should be better now.


(Jeff Atwood) #6